# Frequently Asked Questions

## Why the new structure?  Why split the SIG Lead Role into 2 distinct roles?

While developing the SIG governance requirements, 3 distinct sets of responsibilities were identified:

- Setting technical direction and resolving technical discussions in subprojects of a SIG
 (e.g. intra-subproject escalation point)
- Setting pure-technical scope across the SIG and resolving technical discussions that span subprojects
 (e.g. inter-subproject escalation point)
- Managing the operational aspects of the SIG - defining and evolving process and structure.  Identifying, or helping
 to identify, and defining additional SIG and subproject roles and responsibilities.

While in many SIGs individuals may continue to have all 3 roles concurrently, splitting out the responsibilities
into multiple roles enjoys the following advantages:

- Doing so makes technical and non-technical leadership responsibilities unambiguous.  Previously, the role of SIG Lead
 was not consistent across SIGs - in some cases it was a technical escalation point and in others the role had
 no ties to technical decision making.  Calling out these responsibilities specifically makes the responsibilities
 of the roles clear across SIGs.
- Doing so provides a more diverse set of opportunities for community members to take on leadership roles.  The
 new structure explicitly provides room and roles for both pure technical leadership AND leadership focused on
 critical non-technical work.  Being the most senior technical contributor will no longer be a requirement
 for taking on a leadership role in non-technical capacities.  Likewise, the most senior technical contributors
 may now be documented as the escalation points for technical issues irrespective of their non-technical
 responsibilities.
- Doing so provides SIG Leads an opportunity to scale themselves by sharing or transitioning parts of their workload
 to other members of the community that may be interested in taking on either pure-technical or non-technical
 leadership opportunities.
