# Social media guidelines

**Twitter:** [K8sContributor](https://twitter.com/k8scontributors)

## General guidelines

All messaging must be consistent with the values and principles of the project and the [ethos/vision of the team](/communication/contributor-comms/CHARTER.md#ethosvision). Messaging should be positive and uplifting. Be aware that sarcasm and/or jokes are generally hard to read over a medium such as social media.

Original messages should come out of this teams' accounts at least twice a week (if not more). However, there should be no more than three tweets per hour (including retweets). Retweets, likes, and responses are unlimited, but they should be used thoughtfully to encourage inclusive and kind participation. Use scheduling software as needed to space out messages. All messages should serve a purpose: have an action and/or thumbnail image ("click link for details," "register today," etc. are example actions). Never include photos, user handles, or other personally identifiable information without explicit permission.

Attempt to keep abbreviations to a minimum. Things like `k/k`, for example, might be known in the community, but for new contributors, this is something that is learned with time. Minimizing abbreviations and using plain language is strongly encouraged.

Responses should include helpful links, validation, and/or additional information. Responses should occur within 48 hours. At the very least, like things as an acknowledgment. Sources of information should include Kubernetes contributor related web properties and documentation: kubernetes/community and kubernetes/website. You can't go wrong linking to an official Kubernetes repo.  

Ideally, no individuals outside of the contributor community, with the possible exception that they are talking about contributors, should be an considered a topic of messaging. Example: Bill Gates isn't part of the Kubernetes community, so tweets with @BillGates will not be published.

Other CNCF projects, unless there is a common contributor cause, are out of scope for coverage by this team's social media accounts.

Kubernetes Organization Members with access to account are:

- @kaslin 
- @parispittman
- @mrbobbytables
- @chris-short
- @mbbroberg

The official Social Media Lead is listed on the [team resources page](README.md).

## Themes/Topics
The focus should be on topics that will be of interest to upstream contributors.

- Contributor/SIG blog posts
- Contributor events
- Process changes
- Release info, code freeze, et al
- Accomplishments (reaching 100,000 GitHub stars for example)
- Significant historical events as related to the project (Kubernetes birthday, previous events, etc.)
- Steering Committee Announcements
- Contributor guide/dev guide updates
- Work coming out of SIG-Contributor Experience

Examples of topics that this group does NOT focus on include:

- Content targeted at downstream users such as:
  - Getting started with Kubernetes
  - Best practices for running in production

### Example Social Media

- Weekly on Sunday: Link with community calendar and "This week in upstream community group meetings..."
- As they come in:
  - Emails from k-dev
  - #Shoutouts (from #shoutouts slack channel; try to include social handles or github handles if possible)
  - Requests from issue templates
- Scheduled launches
  - Your upcoming blog posts
  - Requests from issue templates
- Every Wednesday (example)
  - New contributor Wednesday - tweet a bunch of good-first-issue label GitHub issues (TODO: Automate)
- Event support:
  -  (with information from the issue template)
  - Examples: Steering Committee voting will need a reminder weekly for at least a month
  - Meet our contributors should have a reminder 3 days before the event and then 30 minutes before on the day of

## KEPs

([Kubernetes Enhancement Proposals])

### Ground Rules  

- The social media team cannot tweet KEPs at this time.
- This may change if we can get a few owner(s)/group who can approve them
- This guideline can only change with Steering, SIG-Arch, and SIG-Release approval  

### Frequently Asked Questions (FAQ)

Q: Will the account follow other accounts?  

A: TODO (Y/N). The account is designed for information dissemination, so we will focus on that by (following no one and focusing on sharing || following everyone to extend our reach).

Q: Do we engage with hostile messages?  

A: No. Don't feed the trolls. Mute them is the correct response. Block them as a last resort and only after discussing with team members. Reasons to block include verbal abuse, violating the platform's terms, or violating the [Code of Conduct](/code-of-conduct.md). The community is focused on openness and our accounts should be too, but there are times when we should reduce harmful people's visibility through blocking.

Credit: [Fedora Community](https://fedoraproject.org/wiki/Marketing)


[#KEPs]: (#KEPs)
[Kubernetes Enhancement Proposals]: https://github.com/kubernetes/enhancements/tree/master/keps
