# @kubernetesio X Account Guidelines

SIG ContribEx Comms manages multiple communication channels, each tailored to specific audiences, including but not limited to the kubernetesio X account..

### Kubernetes Contributors are engaged through the following channels:

* [dev@kubernetes.io](mailto:dev@kubernetes.io) mailing list
* Kubernetes Slack Announcement Bot
* Mastodon: [k8sContributors@hachiderm](https://hachyderm.io/@K8sContributors)
* X (formerly Twitter): [k8sContributors](https://x.com/k8sContributors)

### End User focused Channels are

* X: [kubernetesio](https://x.com/kubernetesio)
* [LinkedIn](https://www.linkedin.com/company/kubernetes/posts/)

### Mixed Channels:

* [Lwkd (Last Week in Kubernetes Development) Newsletter](https://lwkd.info/)

## The following outlines the usage policy for the kubernetesio X account:

* The kubernetesio account is reaching hundreds of thousands of people. As such, we need to make sure we link to things that are owned by the community itself (mailing lists, GitHub, surveys, etc.).
    * As a general rule, we should avoid linking to individual Twitter accounts or other personal properties given the massive amount of attention it may generate.
    * However, retweeting long-time contributors or individuals who can manage the attention their posts attract is encouraged. This decision will be made on a case-by-case basis by the [SIG ContribEx Comms Leads](https://github.com/kubernetes/community/blob/master/communication/contributor-comms/README.md#roles).
        * In general the person should be a well known technologist or significant contributor.
        * When posting about or linking to Mastodon, make sure you are referencing the correct account, as users may appear across multiple instances.
    * If you have questions, please reach out to the [SIG ContribEx Comms Leads](https://github.com/kubernetes/community/blob/master/communication/contributor-comms/README.md#roles) or [social media team](https://github.com/kubernetes/community/blob/master/communication/contributor-comms/role-handbooks/Social-Media.md) (leads and/or shadows)
* The preferred way for managing tweets is handled via Buffer.
    * Active members recognized in the [SIG ContribEx Comms readme](https://github.com/kubernetes/community/blob/master/communication/contributor-comms/README.md) can propose tweets via Buffer
    * [SIG ContribEx Comms Leads](https://github.com/kubernetes/community/blob/master/communication/contributor-comms/README.md#roles) and SIG ContribEx Comms Social Media Leads can approve tweets
    * [SIG ContribEx Comms Leads](https://github.com/kubernetes/community/blob/master/communication/contributor-comms/README.md#roles) and SIGContribEx Comms Social Media Leads must not approve their own proposed tweets - except in emergencies, which will be defined under sensitive communication guidelines.
* Requests for communication (social media, surveys, etc.) can be made via a GitHub Issue in the Community Repository or via a communication request in #sig-contribex-comms. The GitHub issue request is the preferred method.
    * Direct communication requests to the kubernetesio X account are not accepted. Requesters should specify a targeted recipient group rather than a specific channel or account. The current recipient groups are:  \
      - Kubernetes Contributors \
      - Kubernetes End Users \
      - Both of the above
* The ultimate decision regarding which channels fit the request best lies with SIG ContribEx Comms
* For time sensitive requests, please raise the attention additionally to the [SIG ContribEx Comms Leads](https://github.com/kubernetes/community/blob/master/communication/contributor-comms/README.md#roles)
* Moderation of the Kubernetesio account resides with [SIG ContribEx Comms Leads](https://github.com/kubernetes/community/blob/master/communication/contributor-comms/README.md#roles) and [SIG ContribEx-Comms Social Media Leads](https://github.com/kubernetes/community/blob/master/communication/contributor-comms/README.md#roles)
    * The kubernetesio account will not interact with any comments or reply to any accounts
* X Terms of Service (TOS):
    * It is the responsibility of the [SIG ContribEx Comms Leads](https://github.com/kubernetes/community/blob/master/communication/contributor-comms/README.md#roles) & [SIG ContribEx-Comms Social Media Leads](https://github.com/kubernetes/community/blob/master/communication/contributor-comms/README.md#roles) to be familiar with the [terms of service (TOS) of X](https://x.com/en/tos), and to ensure the kubernetesio account maintains compliance with the X TOS. This includes understanding and adhering to rules around things like account age (birthday), language usage, and other relevant guidelines.