# Resources for community group leads 
Home for chairs and tech leads resources and materials for onboarding,
offboarding, operations, and more.
## Operations

Meeting/calendar invites  
[calendar template]

Meeting agenda doc structure  
Top of doc:  
- name of group, linked to your README, and a link to charter  
- repo(s), links to project boards  
- date and time of meetings, link to shared calendar  
- how to add topics to agenda  
- leads, best contact info  
- slack channel(s)  
- new contributor information so you don't have to repeat yourself  
  examples: last kubecon update video, your contributor guide

Other best practices: 
- include a host guide for when you aren't there to host  
- link to meeting note archives  
- make an area for new folks to introduce themselves  
- include community wide and contributor experience related announcements 
  
## Important Governance Documentation
  
  - [governance.md]
  - [sig-governanace.md]
  - [wg-governanace.md]
  
[Code of Conduct]
  - conduct@kubernetes.io if you need anything from them or to report
  - may have training or guidance - ask!
  
  [Kubernetes values]  
  [Governance Principles]
## Communication and feedback loops:

A Place for leads to get info, talk to other leads, best practices, demos, and
more: 
  - [Monthly meeting]
    - Time:
      * 2nd Tuesday of the Month 12:30pm PT [830pmUTC]
      * 2nd Thursday of the Month 09:00am PT [5pmUTC]
   
  Slack: #chairs-and-techleads   
  [other related/useful] #sig-contribex (operations), #steering 
  (governance) 
  
  Mailing list: [leads@kubernetes.io]
  [other must join] dev@kubernetes.io  
  
  Github: File issues against kubernetes/community  

### Updates
According to [governance](#important-governance-documentation), leads need to 
provide a community update. Most do this through KubeCon update sessions and 
sign up forms come through as 'Maintainer Track' to the leads@ list. There is 
also an option for a deep dive session that is longer duration for larger 
community discussion. 
  ## Community Programs
  
  ### Mentoring
     
   - [group-mentoring.md]
     - Great for growing contributor ladder roles 
   - [mentoring-programs]

### Recognition 

Is someone in your group deserving of recognition? Great! There are a few ways
to do this depending on the situation and end goals. Our community is built
on the ethos of chop wood, carry water; reward and recognize often! 

The quickest way is a "Thanks!" in an issue or PR. Want a wider audience?
Try #shoutouts on the Kubernetes slack!  
#### Swag
- [cncf swag store]
  - ContribEx can help connect you to K8s tshirts, stickers, and other
      marketing materials.
    - K8s baby onesies are also available but usually take longer.
    - Custom items can be done for certain occasions. Silly gift practical 
      jokes or anything involving googly eyes that make people smile will be 
      given the appropriate level of priority.
#### Awards
There are a few times a year that Kubernetes and the larger CNCF community 
intentionally recognizes members of the community for certain roles and 
accomplishments. The leads@ mailing list and slack channel will have 
announcements for when nominations are open. 
- [Contributor Summit] Awards
- [CNCF Awards]
  - most relevant: committer, documentarian, chop wood carry water 
### CNCF resources
  - [maintainers-circle]



[Monthly meeting]: https://docs.google.com/document/d/1Jio9rEtYxlBbntF8mRGmj6Q1JAdzZ9fTDo3ru1HK_LI/edit
[values]: https://github.com/kubernetes/community/blob/master/values.md
[Governance Principles]: https://github.com/kubernetes/community/blob/master/governance.md#principles
[code of conduct]: https://github.com/kubernetes/community/tree/master/committee-code-of-conduct
[Mentoring, succession planning, and staffing]: https://github.com/kubernetes/community/tree/master/mentoring
[Kubernetes values]: https://github.com/kubernetes/community/blob/master/values.md
[governance.md]: https://github.com/kubernetes/community/blob/master/governance.md
[sig-governanace.md]: https://github.com/kubernetes/community/blob/master/committee-steering/governance/sig-governance.md
[wg-governanace.md]: https://github.com/kubernetes/community/blob/master/committee-steering/governance/wg-governance.md
[group-mentoring.md]: https://github.com/kubernetes/community/blob/master/mentoring/processes/group-mentoring.md
[mentoring-programs]: https://github.com/kubernetes/community/tree/master/mentoring/programs
[maintainers-circle]: https://github.com/cncf/sig-contributor-strategy/tree/master/maintainers-circle
[Contributor Summit]: https://github.com/kubernetes/community/blob/master/events/awards/playbook.md
[CNCF Awards]: https://github.com/cncf/awards 
[cncf swag store]: (https://store.cncf.io/collections/kubernetes) 
[calendar template]: https://github.com/kubernetes/community/blob/master/communication/calendar-guidelines.md#calendar-event-template
[leads@kubernetes.io]: https://github.com/kubernetes/k8s.io/blob/aa1214087863c7a850bf84936bd1d1b67d0064a9/groups/groups.yaml#L6
