# 2023 VOTERS GUIDE - KUBERNETES CODE OF CONDUCT ELECTIONS

## Important Links

* [Kubernetes Code of Conduct Committee]
* [election app]
* [election page]
* [schedule](#schedule)

## Table of Contents

* [Purpose](#purpose)
* [Election Platform](#election-platform)
* [Eligibility](#eligibility)
* [Schedule](#schedule)
* [Candidacy](#candidacy-process)
* [Voters](#voters)
* [Nominees](#nominees)

## Purpose

The role of this election is to fill out the two (2) seats due for
reelection this year on the [Kubernetes Code of Conduct Committee]. Each elected
member will serve a two (2) year term.

## Election Platform

We will be using [Elekto] to conduct the election. Elekto relies entirely on GitHub Oauth for
voting, and as such does not use email at all. Elekto also handles exceptions,
eligibility checks, and other aspects of the election. See the [Elekto voting documentation]
for how to use it.

## Eligibility

* Candidate commits to putting the interests of the community above the interests of their employer for all Code of Conduct Committee activities.
* Is generally a responsible human
* Does not have to be part of the Kubernetes or CNCF community
* Characteristics which would be nice in any nominations:
  * Previous experience on an Ethics Committee or Code of Conduct Committee is appreciated
  * Has demonstrated integrity, professionalism, and positive influence within the community is appreciated
  * Experience with the tools which we use to communicate (Zoom, Slack, GitHub, etc.) within the Kubernetes community is appreciated

### Schedule

| Date                    | Event                                             |
|:------------------------|:--------------------------------------------------|
| July 25                 | Nominations Open                                  |
| Friday, August 4        | Nominations Close                                 |
| Monday, August 7        | Steering to confirm candidacy                     |
| Friday, August 11       | Election Begins                                   |
| Thursday, August 17     | Election Closes                                   |
| Friday, August 18       | Announcement of results                           |
| Wednesday, August 23    | CoCC to hold onboarding sessions for new members  |

Candidate nomination, bio, and election close deadlines will be done using Anywhere on Earth timing, meaning it is still valid to submit new nominations/bios/votes as long as it is still the last day anywhere on the planet (i.e. at the end of that day in UTC-12).

## Candidacy Process

Candidate nominations were accepted through a [Google Form] open from July 25, 2023 to August 4, 2023.

For more details about the candidacy and the voting process, see the [CoCC Election Charter].

## Voters

Only the Kubernetes Steering Committee members as of August 8, 2023 will be eligible voters for the election.

## Nominees

Nominees may be found in the [election app].

[Kubernetes Code of Conduct Committee]: https://github.com/kubernetes/community/blob/master/committee-code-of-conduct
[election app]: https://elections.k8s.io
[election page]: https://elections.k8s.io/app/elections/code-of-conduct---2023
[Elekto]: https://elekto.dev
[Elekto voting documentation]: https://elekto.dev/docs/voting/
[Google Form]: https://forms.gle/YQvofRb14Jbu2mjc6
[CoCC Election Charter]: https://github.com/kubernetes/community/blob/master/committee-code-of-conduct/election.md
