# Sebastien Goasguen

## Contact

* GitHub: [@sebgoa](https://github.com/sebgoa)
* Twitter: [@sebgoa](https://twitter/sebgoa)
* Linkedin [Profile](https://www.linkedin.com/in/sebastien-goasguen-382b7b21/)
* Employer: Bitnami

## Vision

Being a member of the steering committee is not a technical role, it is a temporary position to help the community grow and ensure that the project (at large) succeeds in the long term.

The steering committee already has a long backlog of things to do and I submitted a [PR](https://github.com/kubernetes/steering/pull/2) some time ago to show my take on it. Within that backlog, I see three main areas that need a lot of clarity.
 
* Membership. Our membership and roles have grown organically, driven by our velocity and the limitations of GitHub. I would like to see us step back a bit and clearly define our membership ladder and ways by which contributors navigate it. This would provide clear criteria for example to define who is a "person of standing" and how you become one.
 
* Decision making. We have a lot of slack channels, hangouts and mailing lists. However we do not know where decisions are made, when and how. We need to bring clarity to our decision making processes so that everyone feels that they own the decision. It is also a major issue of inclusiveness which can lead to fragmentation of the community.

* Incubator. We have an incubator but I believe we need to revise its "charter" now that several projects have graduated. We need more mentoring and support of the incubating projects. Moreover, the graduation criteria, need to encompass a more visible decision process (currently only 2 people decide if a project graduates).

My experience at the Apache Software Foundation (member and part of several project management committee) can be extremely helpful. Not to apply the exact same principles and processes but to find a balance and bring a perspective from an established open source foundation that is totally vendor neutral, based on meritocracy, has an incubator and clear decision making processes.

## Diversity

My name is in a French dialect (Breton), it literally means "white man". However Kubernetes is a worldwide community and I believe it needs representation from different nationalities, cultural background and from people who do not necessarily speak English as their mother tongue. I believe I can be that little voice which brings a bit of balance in an otherwise heavily US dominated steering committee.

## Kubernetes Background

I have been involved with Kubernetes since [Sept 2014](https://github.com/kubernetes/kubernetes/pull/1411) and focused on tools in the ecosystem. My startup [Skippbox](https://github.com/skippbox) created several tools including: kompose, kmachine, Cabin and [kubeless](http://kubeless.io). We joined Bitnami in March 2017 where I lead all our Kubernetes efforts. I helped very early on with Helm and Charts. I try to help with the Python client and mentored a GSoC student this summer. I also do a fair share of advocacy and training and I am the co-author of the upcoming Kubernetes cookbook.
