
-------------------------------------------------------------
name: Daniel Smith
ID: lavalamp
info:
  - employer: Google
  - slack: lavalamp
-------------------------------------------------------------

## SIGS

- API Machinery (TL)
- API Expression Working Group (instigator) 
- API Reviewer/Approver

## What I have done

I joined Kubernetes before it was open source, and was the top contributor for its first few years.
I worked with people in every area of the project, eventually specializing on making it
possible for an ecosystem to form around Kubernetes. API consistency and extensibility are critical for
that; I started and continue to co-run the API Machinery SIG (example feature: server-side
appy). Other focuses include reliability and scalability (example: empowering the priority and fairness team). 

I see my main ability as being able to understand and predict the behavior of complicated systems, whether made of software or people.

## What I'll do

I believe Kubernetes will be used in important systems for decades to come.
- I will evaluate decisions for the long term.
- Especially decisions that have ongoing effects (e.g. rules changes): I will carefully consider long-term incentives.
- Surviving the long term requires surviving the short term; I'll seek to be proactive, so that our long and short term interests won't conflict.
- I will seek to minimize accumulation of excess complexity.

Long-term success requires a long-term community.
- I will evaluate decisions in terms of their expected effect on the future size & health of the community.
- And from the perspectives of all community members (e.g. users, cluster administrators, and developers).
- Small clusters are important too! Users without large clouds to support them are users also!

Long-term success requires Kubernetes to actually work.
- Kubernetes has formed an ecosystem; we must maintain it, and make good on compatibility promises.
- Reliability, non-flaky tests, and scalability are more important than new features.
- (The Steering Committee doesn’t make technical decisions, but policies, programs, rules, etc may have indirect impact)

## Resources About Me

- My most popular talk: [The Kubernetes Control Plane For Busy People Who Like Pictures](https://www.youtube.com/watch?v=zCXiXKMqnuE)
- https://twitter.com/originalavalamp

