-------------------------------------------------------------
name: Bob Killen
ID: mrbobbytables
info:
  - employer: Google
  - slack: mrbobbytables
-------------------------------------------------------------

## SIGS

- SIG Contributor Experience - Co-chair and owner of multiple subprojects
- Steering Committee - active committee member elected 2020
- SIG Release - Release Team from 1.15 -> 1.19
- SIG Architecture: Enhancements Subproject Owner

## What I have done

Most of my tenure as a contributor in the project has been focused on growing
and sustaining a safe & healthy contributor community within the project.

A few notable things include:
- [Defined policy around inactive members][Defined policy around inactive members], and routinely pruned OWNERS to
  ensure an active reviewer/approver pool.
- Rolled out [improved triage automation & workflow][improved triage automation & workflow] practices across the org.
- I have helped run every Contributor Summit since 2018, and have served as lead
  for [NA 2021][NA 2021], [NA 2022][NA 2022] along with leading both virtual Celebrations
  ([1][c1], [2][c2]) during the Pandemic.
- Trusted member of the [GitHub Admin Team][GitHub Admin Team], including acting as representative
  to GitHub for the project.
- [Moderator of all our communications platforms][Moderator of all our communications platforms]
- Leading the development of an online "New Contributor Course" to serve as
  a replacement for the New Contributor Workshop (Slated to launch before
  KubeCon)
- As a represenative of the Steering Committee, presented a [Keynote talk][Keynote talk] with
  Aeva Black (@AevaOnline) from the Code of Conduct Committee @ KubeCon 2019 on
  shaping the Kubernetes Community Culture.
- Dogfooding leadership succession mentoring by co-leading in the
  [SIG ContribEx lead shadow program][SIG ContribEx lead shadow program], bringing on 6 potential future chairs
  and TLs.

Outside of Kubernetes, I have also been involved heavily with the CNCF as an
[Ambassador][Ambassador], co-chair of the [Research User Group], and a Program Committee
Member of KubeCon and various other colo events since 2018.

My efforts both for Kubernetes and the broader community were recognized in
2019 when I received the [CNCF Chop Wood Carry Water Award][CNCF Chop Wood Carry Water Award].

[NA 2021]: https://www.kubernetes.dev/events/2021/kcsna/
[NA 2022]: https://www.kubernetes.dev/events/2022/kcsna/
[c1]: https://www.kubernetes.dev/events/2020/kcc/
[c2]: https://www.kubernetes.dev/events/2021/kcc/
[Defined policy around inactive members]: https://groups.google.com/d/msg/kubernetes-dev/AvCa-sGx9Jw/zByeyP9LAgAJ
[improved triage automation & workflow]: https://github.com/kubernetes/enhancements/tree/master/keps/sig-contributor-experience/1553-issue-triage
[Contributor Summits]:  https://www.kubernetes.dev/events/
[GitHub Admin Team]: https://git.k8s.io/community/github-management#github-administration-team
[Moderator of all our communications platforms]: https://git.k8s.io/community/communication/moderators.md
[Keynote talk]: https://youtu.be/aVZWOMGE5q8
[SIG ContribEx lead shadow program]: https://docs.google.com/document/d/1CBz8qV_mD6rbDmTsMuosTOQGRXGhN3d8UrcULUI6Vkw/edit#bookmark=id.6p8mxrh41rzf
[Ambassador]: https://www.cncf.io/people/ambassadors/
[Research User Group]: https://github.com/cncf/research-user-group
[CNCF Chop Wood Carry Water Award]: https://github.com/cncf/awards#chop-wood-carry-water-2

## What I'll do

I appreciate your consideration for what would be my final term on steering :)

In my time in the project, I've been an end-user consumer, part-time hobby
contributor, owner, elected leader, and most recently, a contributor working
for one of the big cloud providers. I've worn many different hats and
understand the frustrations and boons that have come with each role.

These experiences come heavily into play as we look toward developing
strategies for the project's long-term success. Steering has recognized that the
time of the [9 to 5 contributor][9 to 5 contributor] has past, and we need to develop policies and
processes to ensure we can continue to grow new contributors, reviewers,
approvers, and our future SIG/WG/Committee leaders.

This means engaging with the CNCF, its members, and the end-user community.
It means looking into improving leadership continuity through things like terms,
the creation of more roles, and a further investment in mentorship. It means
continuing to do outreach and create a diverse and welcoming place for all
contributors. I wish to drive focus in or community toward these key areas,
and encourage action through policy. I want to build sustainable models for
ourselves and continue to be a role-model project for the broader Cloud Native
community.

I'll stop my own ranting there, but hopefully it gives you an idea of what's
important to me and what I'd like to focus on if elected.


[9 to 5 contributor]: https://github.com/kubernetes/steering/blob/main/reports/summary-2021.md#the-9-to-5-contributor-is-almost-over-and-we-have-to-adjust

## Resources About Me

- Website: https://mrbobbytabl.es
- Twitter: [@mrbobbytables](https://twitter.com/mrbobbytables)
