Adjust this template as necessary:

## Election Announcement

It's Steering Committee election season again!

We're getting a bit of an early start this year but over the next 7 weeks we will be electing four (3) seats on the Steering Committee. Each of these seats will serve for a two (2) year term. Christoph Blecker, Stephen Augustus, Paris Pittman, and Tim Pepper are halfway through their terms and will continue to serve on the Steering Committee[1].

The first phase of the election has two parts:

1. Candidate nominations
2. Voter exceptions

## Nominations

If you would like to nominate yourself or someone else for one of the three available seats, follow the process in the election guide[2]. This involves writing a candidate issue, posting to kubernetes-dev, and writing a bio and information about your candidacy.

## Exceptions

The full list of current voters by GitHub username is posted in the election repository: https://github.com/kubernetes/community/blob/master/elections/steering/2022/voters.yaml [4]

The requirements for voting are to have had at least 50 project contributions in the last year and being a current member of a Kubernetes GitHub organization. We do our best to source contribution data from many areas however we know that many types of contributions to the project are difficult to measure and we apologize for any not counted. If we've missed you for any reason, please file an exception request[3] and we'll take a look as soon as possible.

## New Voting System

This is the second year we will be using Elekto[5] for the Kubernetes Steering elections. Elekto was commissioned as an internship project for us by the CNCF. You'll find it has a much more modern UI, and does not rely on email at all to enable voting. It uses GitHub authentication so all we need to know is your GitHub username. If you log in to Elekto at https://elections.k8s.io/app/elections/2022, you can also directly check your eligibility to vote if you don't want to search through the YAML file linked above.

## Schedule

The following are the critical dates for this election:

* Tuesday, August 30 - Candidate nominations due at the end of the day in AoE time
* Friday, September 2 - All candidate bios due at the end of the day in AoE time
* Tuesday, September 6 - Election Begins via email ballots
* Friday, September 16 - Deadline to submit voter exception requests
* Thursday, September 29 - Election Closes at the end of the day in AoE time
* Monday, October 3 - Public announcement of Results at Public Steering Committee Meeting


We will be posting regular updates to dev@kubernetes during the election as well as updates in the community meeting and on Slack.

## Resources

[1] Steering Committee: https://github.com/kubernetes/steering - who sits on the committee and terms, their projects and meeting info

[2] Candidacy Process: https://github.com/kubernetes/community/tree/master/elections/steering/2022#candidacy-process - how running for a seat works

[3] Exception Request: https://elections.k8s.io/app/elections/2022/exception - form to fill out to get added as a voter if we've missed you

[4] Voters List: https://github.com/kubernetes/community/blob/master/elections/steering/2022/voters.yaml - GitHub usernames for everyone qualified to vote in this election

[5] Elekto: https://elekto.dev - Our elections platform

Thank you from all your election officials. If you have any questions, you can reach us via election@k8s.io, or message us on Slack any time.

Noah Kantrowitz
Kaslin Fields
Davanum Srinivas

== Candidate Qualification

Per the requirements of the https://git.k8s.io/steering/elections.md[candidate process], I have verified that {name of candidate} has the necessary endorsements to qualify to run for steering committee.

{candidate}, please prepare a bio for yourself based on the https://github.com/kubernetes/community/blob/master/elections/steering/2022/nomination-template.md[nomination-template.md] file and submit a PR before September 2nd.

== Reminder 1 week before the end of nominations:

Kubernetes Devs:

Election update!

We have XXX candidates[1] who have been nominated to run for Steering Committee, which is already a lot! But you have until August 30th to nominate additional candidates, using the nomination process[2].

Contributors, now is also the time to check your eligibility by visiting the elections app[3] and seeing if you are marked Eligible. If you are not and should be, you can request an exception[4] in that app.

Candidates, you have through October 14th to submit your candidate profiles[2] with a PR to the community repo. Please do this as soon as you can.

[1] https://github.com/kubernetes/community/issues?q=is%3Aissue+%22Steering+Committee+Nomination%3A%22+in%3Atitle
[2] https://github.com/kubernetes/community/tree/master/elections/steering/2022#candidacy-process
[3] https://elections.k8s.io/app/elections
[4] https://github.com/kubernetes/community/tree/master/elections/steering/2022#voter-exception

== Election Status Updates

Post these weekly to kubernetes-dev

$greeting,

The Kubernetes Steering Committee Election begins today/is underway! Please visit https://elections.k8s.io/app/elections and watch out for announcements as well.

The list of candidates and links to their bios are all available here: https://git.k8s.io/community/elections/steering/2022

// Voting

* You should check to see if you are in voters.md. Your github handle MUST BE IN THIS DOCUMENT to vote: https://github.com/kubernetes/community/blob/master/elections/steering/2022/voters.yaml

* If you feel you have made enough contributions (50+ as counted in DevStats) to be able to vote but you are NOT in voters.yaml, you file an exception https://elections.k8s.io/app/elections/steering---2022/exception[here]

* If you are planning on running for Steering Committee please see this section of the documentation; you need to PR your biography into the repo by September 2nd: https://github.com/kubernetes/community/tree/master/elections/steering/2022#candidacy-process

// Schedule

The next deadline is XXX , you have until then to complete your ballot. If you have any questions, let us know.

| August XX | All candidate bios due by AoE |
| August XX | Election Begins via email ballots |
| September XX | Deadline to submit voter exception forms |
| September XX | Election Closes by 0000 UTC AoE |
| September XX | Announcement of Results at Community Meeting |

// Resources

Voters Guide - https://git.k8s.io/community/elections/steering/2022
Steering Committee - https://git.k8s.io/steering
Steering Committee Charter - https://git.k8s.io/steering/charter.md
Election Process - https://git.k8s.io/steering/elections.md

On behalf of the election officials,
Name (github), Name (github), etc

If you have questions, please feel free to ask on the list; otherwise, you can reach the Election Officials at election@k8s.io or #sig-contribex-elections on kubernetes slack

== Election Poll Header

Welcome to the 2022 annual Kubernetes Steering Committee election. More information, including candidates, links to candidate bios, deadlines and procedures, can be found <a href="https://github.com/kubernetes/community/tree/master/elections/steering/2022">on the 2022 election page.</a>
<br /><br />
All eligible <a href="https://github.com/kubernetes/community/blob/master/elections/steering/2022/voters.yaml">voters</a> for this election will be able to vote using https://elections.k8s.io/app/elections/steering---2022[https://elections.k8s.io/app/elections/steering---2022]
<br /><br />
The Steering Committee Election is a preference election. Please arrange the candidates in the order you would prefer them. Three members of the committee will be elected this year. PLEASE NOTE: "No opinion" is also a voting option if you do not feel comfortable ranking every single candidate.
<br /><br />
To report issues with this election, or ask questions, email <a href="mailto:election@kubernetes.io">the Election Officials.</a>

== Election Results

This mail only goes to the incumbent members of steering who are NOT running that year!

$greeting,

Please keep this information private!

An incumbent steering member announces the results. At least one of you please come to the community meeting tomorrow to make the announcement. Let us know if you cannot.

After the community meeting, we'll publish this blog post (feedback encouraged).

A note on the results, as per previous elections we plan on announcing/celebrating the winners and only publishing their names, GitHub handles, and affiliations. We purposely don't mention rankings or the results of the rest of the field.

We will quietly check in the full election results (with anonymized ballots) into the community repo in the next few weeks. This will satisfy transparency requirements while being respectful to the other candidates.

Results and data from the 2022 Steering Committee election:

* XXX eligible voters as determined by:
** XXX org members with 50+ DevStats recorded contributions between
 Aug 1 2021 and Aug 1 2022.
** XX additional exception voters comprising XX% of exception requests
** Of the XXX eligible voters, no useful address could be initially
 determined for XX of them, XX members submitted corrected email addresses,
 and X were denied due to ineligibility

XXX total votes cast as of the close on September XX at 5pm PT (XX%)

Last Year's data: XXX eligible voters with XXX votes cast (XX%)

Final Results:

(paste these from CIVS)
1. Jane Containerface (@github) (Condorcet winner: wins contests with all other choices)
