-------------------------------------------------------------
name: Natali Vlatko
ID: natalisucks
info:
  - employer: Cisco
  - slack: Natali
-------------------------------------------------------------

## SIGS

- SIG Docs / Co-Chair
- SIG Auth / Issue Triage

## What I have done

I've served as the Co-Chair of SIG Docs since early 2022, with my involvement in the overall project beginning in 2020 via SIG Docs and SIG Auth. I'm a newer community member amongst most maintainers, however, I'd still like to share my humble list of high-fives:

- I helped launch the official Localization Subproject for Kubernetes, which earned me the [2021 Kubernetes Contributor Award](https://www.kubernetes.dev/community/awards/2021/) for SIG Docs. Kubernetes documentation is now available in 15 different languages. I've continued to work on improving localization processes for better language onboarding, plus greater recognition of localization contributions for Kubernetes organization membership
- I co-sponsored our PR Wrangler Shadow Program in SIG Docs, where contributors learn how approvers of the SIG action PRs through various tooling and workflows. This program created better visibility into the reponsibilities of reviewers and approvers, and has grown the reviewers and approvers group
- I helped launch the regular issue triage sessions for SIG Auth, which I still participate in today. This triaging helped SIG Auth organize work on various KEPs, such as [improvements to the Key Management Service (KMS) API](https://kubernetes.io/blog/2022/09/09/kms-v2-improvements/), and fostered better in-roads for new contributors to participate in the SIG
- I've volunteered for several Kubernetes Contributor Summits, recently as a Registration and Day-Of Ops shadow for the 2023 EU edition, and will be leading Day-Of Operations for the upcoming Kubernetes Contributor Summit NA 2023
- Across the greater CNCF landscape, I've served on the Program Committee for both KubeCon/CloudNativeCon and Open Source Summit for several years and continue to do so

## What I'll do

As a contributor, maintainer, and now co-chair of SIG Docs, I've experienced each segment of the new contributor journey, where we see some of the largest numbers of first-time PRs to the project from new contributors. Sustaining these contributions has been part of my ongoing co-chair responsibilities, and in working with other co-chairs across SIGs, we all recognize that sustainability across contribution types for Kubernetes is _hard_. To address this in the Steering Committee, I want help foster investment into Kubernetes contributions via CNCF sponsorship, and partner with CNCF Members across all levels to build pathways for part-time and full-time Kubernetes maintainers.

I also want the Steering Committee to be geographically diverse, so that it represents how global our project is, and how distinct our contributors are. I believe we should have representation from other contributor regions, such as EMEA and APAC, so that their challenges with the project can be addressed at the highest tier. To achieve this, folks like myself need to stand for nomination, so that this diverse representation can be achieved. Kubernetes, via Steering, will benefit from the rich differences in culture, experience, and perspectives that a globally diverse cohort can bring to decision-making and guideance of the project and its values.

Finally, I'd like to focus on Kubernetes governance, where the project has become large enough to serve as an example for others to follow. As the flagship project of the CNCF, Kubernetes governance should be the epitome of efficiency, transparency, and fairness; I want to bring more awareness and outward communication of the decision-making of Steering, and seek out and apply (where possible) community feedback to current processes of the Committee. I want to take this focus so that our community knows and understands the role of the Steering Committee and how it should ultimately serve them. 

## Resources About Me

- My academic background and current career converged at Write The Docs Prague 2020 with my favorite talk to date:
  - [Documenting the (Ancient) History of Your Project](https://www.youtube.com/watch?v=YxNx9Fi40-Y&list=PLZAeFn6dfHpmRWZJaUwQzsdagW2TtRI2x&index=5)
- Some of my KubeCon/CloudNativeCon talks:
  - [How To Localize Kubernetes Documentation: A Guide For Everyone (KubeCon/CloudNativeCon EU 2023)](https://kccnceu2023.sched.com/event/1HyUP)
  - [Contributing to the Kubernetes Website: A Guide For Everyone (KubeCon/CloudNativeCon NA 2022)](https://kccncna2022.sched.com/event/182O1/contributing-to-the-kubernetes-website-a-guide-for-everyone-divya-mohan-rey-lejano-suse-tim-bannister-the-scale-factory-natali-vlatko-wayfair-arsh-sharma-okteto)
- Myself and Celeste Horgan at 2023's Berlin Buzzwords (and coming up at Open Source Summit EU 2023):
  - [Building On-Ramps for Non-Code Contributors in Open Source](https://program.berlinbuzzwords.de/berlin-buzzwords-2023/talk/VEQHVW/)
- Find me on [GitHub](https://github.com/natalisucks)
- Check out my [LinkedIn](https://www.linkedin.com/in/natalivlatko)
- Scroll through my [Twitter](https://twitter.com/natalisucks)
