-------------------------------------------------------------
name: Patrick Ohly
ID: pohly
info:
  - employer: Intel Corporation
  - slack: pohly
-------------------------------------------------------------

## SIGS

- SIG Testing technical lead
- SIG Instrumentation / Structured Logging WG lead
- SIG Storage member
- SIG Node contributor
- SIG Scheduling contributor

## What I have done

I have been involved with Kubernetes since 2018. I’ve worked on a variety of
topics covering several different SIGs. Enhancements that I have designed and
implemented include:

- Generic Ephemeral Volumes (GA)
- Storage Capacity Tracking (GA)
- Contextual Logging (alpha)
- Dynamic Resource Allocation (alpha)

As tech lead in SIG Testing for the E2E framework and working group lead for
structured logging I am responsible for changes that affect all contributors of
Kubernetes. I care about code quality and some of you might remember my
initiative to enable [stricter pre-merge
linting](https://groups.google.com/a/kubernetes.io/g/dev/c/myGiml72IbM/m/QdO5bgQiAQAJ)
which is now active for all new PRs.

I am working with the maintainers of components that Kubernetes depends on
(Ginkgo/Gomega, golangci-lint, forbidigo, and last but not least Go itself) to
ensure that they meet the needs of Kubernetes.

## What I'll do

The conversion of logging to contextual, structured logging is an area where I
have helped various new developers with their first contributions to
Kubernetes. Finding and retaining new contributors is an on-going challenge. I
intend to continue doing that also as member of the steering committee.

Kubernetes has been wildly successful. It is tempting to rest on those laurels
and focus only on stabilizing the existing APIs. But that would ignore all the
new ideas about how Kubernetes could also be used, lead to stagnation and push
away the new developers who want to try out their ideas. Therefore I believe
that Kubernetes needs to continue to evolve (of course with all the required
care to not break existing users) and I hope to support that.

## Resources About Me

- Presentations and some of the more important blog posts:
  - 2019: [KubeCon China: E2E Testing: Real Developers Don't Test... But They Should](https://kccncosschn19eng.sched.com/event/NrmX/e2e-testing-real-developers-dont-test-but-they-should-patrick-ohly-intel)
  - 2020: [KubeCon NA: Persistent Memory in Kubernetes](https://kccncna20.sched.com/event/ekFE/persistent-memory-in-kubernetes-patrick-ohly-intel)
  - 2022: [Contextual Logging blog post](https://www.kubernetes.dev/blog/2022/05/25/contextual-logging/)
  - 2023: [KubeCon EU: Keeping the Lights on and the Bugs Away](https://kccnceu2023.sched.com/event/1Hzcr/keeping-the-lights-on-and-the-bugs-away-patrick-ohly-intel), [E2E testing best practices reloaded](https://www.kubernetes.dev/blog/2023/04/12/e2e-testing-best-practices-reloaded/)

- Awards for work on Kubernetes:
  - 2021: [SIG Instrumentation](https://www.kubernetes.dev/community/awards/2021/)
  - 2022: [SIG Instrumentation, Architecture and Testing](https://www.kubernetes.dev/community/awards/2022/), [CNCF Chop Wood & Carry Water](https://github.com/cncf/awards#2022-chop-wood-carry-water)
  - 2023: [Google Open Source Peer Award](https://opensource.googleblog.com/2023/05/google-open-source-peer-bonus-program-announces-first-group-of-winners-2023.html)

- Links to social media
  - LinkedIn: [Patrick Ohly](https://www.linkedin.com/in/patrickohly/)
