-------------------------------------------------------------
name: Noah Abrahams
ID: qedrakmar
info:
  - employer: Oracle
  - slack: nabrahams
-------------------------------------------------------------

## SIGs and WGs

- SIG Contributor Experience (Non-Code Contributor Initiative Lead)
- SIG Release (1.10 Release Team)
- SIG PM (archived)
- WG LTS

## What I have done

I got started with Kubernetes in 2016, and have been devoted to the project and ecosystem since then.

Some notable line items:

- Created and Lead the Non-Code Contributors initiative working within the Contributor Documentation subproject and with TAG Contributor Strategy
- Ran Contributor Summits all over the world, from Day-of Operations starting with Seattle in 2018 to serving as Lead for Amsterdam in 2023
- Worked as part of the Kubecon Program Committee in North America, Europe, and Asia, including as a Track Chair
- Helped onboard new contributors through previous New Contributors Workshops
- Onboarded new community members through group mentoring at Kubecon
- Spoke at and ran meetups, including creating and running the Las Vegas meetup
- Helped with the early formation of the first WG-LTS, and trying to represent the unrepresented in the reformed WG.
- Improved our Release Notes process as part of Release Team

As a contributor, my primary rallying cry has been around non-code contributions, and I continue to lean into expanding our contributor base in this direction.  As stated elsewhere, I focus on behind-the-scenes work that makes your job and your life easier.  I’ve also been a CNCF Ambassador for many years, and stepped in anywhere else that I can help people get better and become more involved.

## What I'll do

I understand that Steering is a human-centered governance role, and is not a technical role, so I will serve while constantly keeping in mind our priorities of People first, Project second, Company third.  I intend to give attention to all the people in our communities, but especially approvers and maintainers who are generally facing burnout and need help.

Related to that, I want to put focus on inclusion and accessibility, to make sure that all our people feel safe and enabled to contribute, regardless of race, gender, orientation, geographical location, or anything else, so more of them can be promoted up the contributor ladder.  Underrepresented geographies are of particular interest to me here, and I would like to work on enabling our people in those regions, as well as examining what that means in terms of distributing work load between our SIG chairs and TLs, and our various admins in general.  I also intend to join in on the efforts to review and potentially revamp the process around our annual reports, to both increase value to and decrease the cognitive load on the various SIGs.

Above all other projects and endeavors, I will be a steward, a resource, a liaison, and a friend, providing for the health and well-being of this community through governance, helping every one of the people whose lives it touches, so this project can continue to grow and thrive.  I will encourage and help you, because you deserve to succeed, and when you succeed we all benefit.

## Resources About Me

- Some Talks By Me
  - [Opening the Contributor Summit in Amsterdam, 2023](https://www.youtube.com/watch?v=dL7cYhzAFrE&list=PL69nYSiGNLP06HYgwMWJJZmJHreLCrd21)
  - My fun Kubecon LA Talk: [A Safari of Kubernetes and its Natural Habitat](https://www.youtube.com/watch?v=RnhRj_EsYtk) 
  - [A talk about communication at a New Contributor Workshop, 2018](https://www.youtube.com/watch?v=AVoat-IdCGA)
- My Mastodon: [@nabrahams@hachyderm.io](https://hachyderm.io/@nabrahams)

