-------------------------------------------------------------
name: Marko Mudrinić
ID: xmudrii
info:
  - employer: Kubermatic
  - slack: xmudrii
-------------------------------------------------------------

## SIGS

- SIG Release
  - 2020-present: Release Manager
  - 2019-2020: Release Manager Associate
  - 2018-2019: Bug Triage Lead (v1.16), Bug Triage Shadow (v1.14-v1.15)
- SIG K8s Infra
  - Contributor and SIG member
  - Co-creator and maintainer of EKS-based Prow build cluster

## What I have done

I started contributing to the Kubernetes project in 2018 as a Google Summer of Code (GSoC) student working on [Etcd Proxy for Aggregated API servers](https://github.com/xmudrii/etcdproxy-controller). After my GSoC internship, I contributed to SIG Cluster Lifecycle, mainly to the Cluster API project. I created [Cluster API Provider for DigitalOcean](https://github.com/kubernetes-sigs/cluster-api-provider-digitalocean) and continued maintaining it until early 2021.

In the meantime, I've been contributing to SIG Release. Initially, I was part of the Release Team for three release cycles: v1.14 and v1.15 as a Bug Triage Shadow, and v1.16 as a Bug Triage Lead. I've been selected to join the Release Engineering team as a Release Manager Associate in late 2019, where I worked on improving processes and documentation related to cutting and maintaining releases. 

In 2020, I've been promoted to a fully-fledged Release Manager. My duties as a Release Manager include cutting releases, ensuring stability and reliability of release branches, maintaining tooling used by Kubernetes and other projects in the ecosystem to cut and facilitate releases in a reliable and secure way, and more.

One of my most notable contributions include designing and implementing [Kubernetes community-owned package repositories which went live in August 2023](https://kubernetes.io/blog/2023/08/15/pkgs-k8s-io-introduction/). Migrating to community-owned repositories was one of the longest standing problems in SIG Release and the Kubernetes community, dating back to 2019. I was recognized for my outstanding contributions to SIG Release in 2022 with a [Kubernetes Contributor Award](https://www.kubernetes.dev/community/awards/2022/#release).

As of beginning of 2023, I joined SIG K8s Infra efforts to reduce GCP spendings by creating and maintaining a EKS-based Prow build cluster. I co-lead efforts to migrate relevant jobs from the Google infrastructure to the new EKS-based Prow build cluster.

I'm going to be a mentor in the upcoming LFX Term 3: Sept-Nov for [the Kubernetes project](https://mentorship.lfx.linuxfoundation.org/project/47f53d22-ff5c-4479-b701-3ca3dbc7df0a). As of February 2023, I'm an Undergraduate Teaching Assistant at School of Computing, University Union, Belgrade, mainly teaching Kubernetes and Cloud Native technologies to final year students.

## What I'll do

Having begun my Kubernetes journey as a student and ascending to the Release Manager position in SIG Release, I've witnessed numerous challenges. Beyond making initial contributions as seamless as possible, I'm committed to cultivating long-term, sustainable contributions within the community. Steering plays a key role in upholding the community values, and ensuring project's health and long-term sustainability.

Kubernetes project in large depends on contributions from people working on the project as volunteers in their free time. It's important to recognize this and foster sustainable and diverse contributor base. I want to bring my perspective as someone who have worn many different hats over the past 5 years: being a full-time student, Release Manager, mentor, and a teaching assistant. This includes:

- Helping SIGs build diverse and sustainable contributor base through different opportunities (mentoring cohorts and similar initiatives)
- Encouraging SIGs to build a contributor ladder enabling contributors to climb to reviewer/approver roles and provide more value to the community
- Providing guidance to SIGs on how to be more appealing to contributors from EMEA and APAC regions who are facing many challenges especially due to timezone differences
- Making Kubernetes more attractive to contributors from the academia backgrounds (including students and faculty staff)
- Embracing asynchronous over synchronous communications as a way to make contributing to the project more welcoming
- Upholding the community values and identifying potential improvement areas in the community and project

## Resources About Me

- Twitter: [@xmudrii](https://twitter.com/xmudrii)
- LinkedIn: [@xmudrii](https://linkedin.com/in/xmudrii/)
- Talks
  - [KubeCon EU 2023: How SIG Release Makes Kubernetes Releases Even More Stable & Secure - Veronica Lopez & Marko Mudrinić](https://youtu.be/AP9G5Jtn9y4)
  - [Contributor Summit EU 2023: Migrating Kubernetes CI Jobs to AWS - Marko Mudrinić & Patryk Przekwas](https://youtu.be/xEADvrgi1ek)
  - [KubeCon NA 2018: Lightning Talk: Spawning Kubernetes In CI For Integration Tests - Marko Mudrinić](https://youtu.be/ZiJn7olAS1M)
  - My other talks can be found in the following [YouTube playlist](https://youtube.com/playlist?list=PLvNBqHHXyMOBufmiuBrIQvtgOp3smF1Jx&si=VgyVGNO4HVFa6d16)
