-------------------------------------------------------------
name: Antonio Ojea
ID: aojea
info:
  - employer: Google
  - slack: aojea
-------------------------------------------------------------

## SIGS

- SIG Network
- SIG Testing

## What I have done

I've joined the Kubernetes project back in 2019 when I was looking for some Open Source project
I could contribute to. Someone recommended me to help with the IPv6 work, that was orphan
and in an alpha state for a long time.

Since the very first day, I got more and more attracted by this project and its community, collaborating and
driving features, mainly in the networking area, and working across SIGs to improve the reliability
and the quality of the project.

Today I'm a TL for SIG Network and SIG Testing, maintainer
of [KinD](https://kind.sigs.k8s.io/) and some other projects like [Cloud Provider Kind](https://github.com/kubernetes-sigs/cloud-provider-kind)
and [Kube Network Policies](https://github.com/kubernetes-sigs/kube-network-policies).

My involvement in the project has been rewarding, both professionally and personally, as I've built
strong relationships and had a lot of fun contributing.

## What I'll do

Kubernetes, despite its age, is still a relatively young project. I'm committed to its continued growth and evolution.

As part of the Steering Committee, in addition to existing responsibilities, I would like to help on these aspects for the project sustainability and success:

- Technical excellence: The project is organised and driven technically by [Special Interest Groups](https://github.com/kubernetes/community/blob/master/governance.md#sigs). We must ensure SIGs are healthy, able to drive new features without sacrificing quality or exceeding their complexity budget, have a clear contributor ladder that help members to grow their skills and take on more responsibility, ...
- Community: The community is the heart and soul of the project, without the active involvement of volunteers, developers, users, and other stakeholders,
this project would not be able to thrive. Inclusivity, onboard, mentoring and recognition are fundamental aspects we should focus on.
- Operational sustainability: We must track key metrics (contributions, downloads, ... ) and actively engage with the community to gather feedback and ensure the project aligns with user needs, so we can identify and mitigate potential risks.

## Resources About Me

- [Manage Session Modern Load Balancing, Improving Application's Resource Availability and Performance - Antonio Ojea & Gerrit DeWitt, Google](https://sched.co/1R2s6) Kubecon NA 2023
- [Demystifing IPv6 Kubernetes - Antonio Jose Ojea Garcia, Google & Fernando Gont, Yalo](https://sched.co/1HyWI) Kubecon EU 2023
- [SIGs Aren’t Silos: A Case Study Into Solving Inter-Domain Problems In Kubernetes Development - Swetha Repakula, Google & Antonio Ojea Garcia, RedHat](https://sched.co/182E6) Kubecon NA 2022
- [Kubernetes Advanced Networking Testing With KIND, Antonio Ojea RedHat](https://kccnceu2021.sched.com/event/iE3g/kubernetes-advanced-networking-testing-with-kind-antonio-ojea-redhat) Kubecon EU 2021
- [Deep Dive: KIND - Benjamin Elder, Google & Antonio Ojea, SUSE](https://kccncna19.sched.com/event/Uah7/deep-dive-kind-benjamin-elder-google-antonio-ojea-garcia-suse) Kubecon NA 2019
- [Google Open Source Peer Bonus 2021](https://opensource.googleblog.com/2021/04/announcing-first-group-of-google-open-source-peer-bonus-winners.html)
- [SIG-Network, SIG-API Machinery and SIG-Testing Award 2022](https://www.kubernetes.dev/community/awards/2022/)
- [SIG-Network Award 2021](https://www.kubernetes.dev/community/awards/2021/)
- [SIG-Network and SIG-Testing Award 2020](https://www.kubernetes.dev/community/awards/2020/)
- Twitter: [https://twitter.com/Itsuugo](https://twitter.com/Itsuugo)
