-------------------------------------------------------------
name: Benjamin Elder
ID: bentheelder
info:
  - employer: Google
  - slack: bentheelder
-------------------------------------------------------------

## SIGS

- SIG Testing
- SIG K8s Infra

## What I have done

I've been an active contributor to Kubernetes for many years now, I first worked
on implementing the (pre-1.0!) kube-proxy iptables mode as a Summer of Code student and
have since become a Chair (emeritus) and Tech Lead of [SIG Testing][sig-testing] and Tech Lead of
[SIG K8s Infra][sig-k8s-infra].

Amongst other things I led the creation of and maintain [kind][kind] and [registry.k8s.io][registry.k8s.io].
I shadowed roles on multiple release teams and I'm generally still pretty active in release CI signal.

I've been [awarded][awarded] the annual CNCF Top Committer award (2022) for my work in Kubernetes.

I'm a current member of the Steering Committee running for a second term.

I've worked hard on many parts of the project, but especially CI tools and reliability and sustainability issues. I'm working on making sure all of the project's infrastructure (CI, automation and release hosting) runs openly in community owned accounts and projects within adequate corporate sponsor commitments.

I've pushed to rotate in new leads in my SIGs and to create more opportunities to
recognize contributors.

I supported the etcd maintainers with Bob Killen / @mrbobbytables also on Steering in particular to figure out bringing etcd into the project as [SIG-Etcd][SIG-Etcd] and provide
etcd access to the project's resources and direct support.

I've been working on the logistics to enable syncing our SIG leads to CNCF's
TOC voting maintainer list to provide better representation to Kubernetes now that
it's one vote one maintainer instead of one vote per project.

## What I'll do

I am extremely passionate about the Kubernetes community and I will do everything in my
power to uphold and strengthen it's health, [values][values], and inclusivity.

Steering is about people and governance, NOT technical problems.
Steering Committee members can't promise to fix technical problems -- We explicitly delegate
technical decision making to the SIGs, workgroups and committees (such as [SRC][SRC]).

What Steering _can_ and does do is interface with our CNCF representatives, resolve escalations, provide people support and recognition, and work with SIGs/WGs/Committees to introduce better processes and governance.

I have and will continue to work hard on these.

## Resources About Me

- [elder.dev/about](https://elder.dev/about)
  - More details about me here if you're curious.
- [elder.dev](https://elder.dev)
  - You can find more contact info on my homepage, the Kubernetes slack is a great way to reach me but I also list email, social media
- [elder.dev/speaking](https://elder.dev/speaking)
  - I have a number of kubecon talks and interviews listed here



[awarded]: https://www.cncf.io/announcements/2020/11/20/cloud-native-computing-foundation-announces-2020-community-awards-winners/
[values]: https://www.kubernetes.dev/community/values/
[kind]: https://kind.sigs.k8s.io/
[registry.k8s.io]: https://registry.k8s.io
[SRC]: https://github.com/kubernetes/committee-security-response
[SIG-Etcd]: https://etcd.io/blog/2023/introducing-sig-etcd/
[sig-testing]: https://github.com/kubernetes/community/blob/master/sig-testing/README.md
[sig-k8s-infra]: https://github.com/kubernetes/community/blob/master/sig-k8s-infra/README.md
