-------------------------------------------------------------
name: Kat Cosgrove
ID: katcosgrove
info:
  - employer: Dell Technologies
  - slack: katcosgrove
-------------------------------------------------------------


## SIGS

- SIG Release
  - Release Team Subproject Owner
  - v1.30 Release Lead
  - v1.29 Docs Lead
  - v1.25 Comms Lead

- SIG Docs
  - Tech Lead

## What I have done

I joined the Kubernetes project in 2020, handling the fallout of the Dockershim deprecation. I authored multiple blog articles quelling community fears in the wake of the deprecation announcement and ahead of the release that finally removed Dockershim.

I joined the release team in v1.23. During the v1.28 release, I noticed a severe gap in reporting, stepped up to fill in the role so the release would not be delayed, and was awarded [SIG Release Contributor of the Year](https://www.kubernetes.dev/community/awards/2023/#release) for it.

As v1.30 lead, I was the first release lead to manage the merging of CI Signal and Bug Triage into one subteam. I was the first release lead to use the [release team removal guidelines](https://github.com/kubernetes/sig-release/blob/master/release-team/release-team-removal.md), which I co-authored. I also implemented a [Docs Freeze](https://github.com/kubernetes/sig-release/blob/master/releases/release_phases.md#docs-freeze) phase, drastically reducing the workload for SIG Docs and Release Docs.

For my improvements to Release Docs, Release Comms, and the release process overall, I became a Release Team subproject owner and a SIG Docs tech lead and have continued to make significant improvements to the operation of both. My goal has always been to improve the efficiency and operation of the Release Team and the project overall.

## What I'll do

The Release Team is required to efficiently collaborate with all other SIGs and aspects of project leadership, giving me a birds-eye view of the difficulties different aspects of the project face with respect to contributor acquisition and onboarding, contributor retention, and cross-team collaboration. 

I have an excellent track record of addressing these issues within the scope of the Release Team, and intend to bring those skills to the project overall to fill gaps in processes that currently make collaborative progress more difficult than necessary.


## Resources About Me

- Some of my talks:
  - [Dungeons and Deployments v2: The Clusters of Chaos (KubeCon EU 2024)](https://youtu.be/EWJ6Ih_bQbo?si=XRuQ7zcivfFEoz0L)
  - [Dungeons and Deployments: Leveling Up in Kubernetes (KubeCon NA 2023)](https://youtu.be/-CPrDLFM1Aw?si=i-hPLzvFZHg5mAdr)
  - [Planning for Maturity: SIG Release’s Revamp for More Stable Kubernetes (KubeCon EU 2024)](https://www.youtube.com/watch?v=UhIXUarNPKc)
  - [We Didn’t Start the Fire: Communication Breakdowns and How to Prevent Them (KubeCon EU 2021)](https://www.youtube.com/watch?v=a03Hh1kd6KE)


-Other talks and appearances:
  - [The Kubernetes Podcast, v1.30 Uwubernetes](https://www.youtube.com/watch?v=oWIqWPRGXGY)
  - [Fly me to the Moon: A Kubernetes Origin Story (KCD UK Keynote)](https://www.youtube.com/watch?v=Pe9V1hG4LUQ)
  - [Don’t Panic: Kubernetes and Docker](https://kubernetes.io/blog/2020/12/02/dont-panic-kubernetes-and-docker/)
  - [Dockershim: The Historical Context](https://kubernetes.io/blog/2022/05/03/dockershim-historical-context/)
  - [Is your cluster ready for v1.24?](https://kubernetes.io/blog/2022/03/31/ready-for-dockershim-removal/)

-About me
  - [Nomination](https://github.com/kubernetes/community/issues/8039)
  - [GitHub](https://github.com/katcosgrove)
  - [LinkedIn](https://linkedin.com/in/katcosgrove)
  - [Twitter](https://twitter.com/dixie3flatline)
