-------------------------------------------------------------
name: Nabarun Pal
ID: palnabarun
info:
  - employer: Broadcom
  - slack: palnabarun
-------------------------------------------------------------

## SIGS

- Steering Committee
- Contributor Experience: Chair, GitHub Admin, Community Moderation
- Architecture: Enhancements

Past
- API Machinery: Client Subproject
- Auth: Feature contributor
- Code of Conduct Committee
- Organizing Kubernetes New Contributor Workshops
- Release:
   -  Release Manager
   -  Release Team (1.17-1.24, 1.26)
      -  1.26 Emeritus Adviser
      -  1.24 Branch Manager
      -  1.21 Release Lead
      -  1.19 Enhancements Lead

## What I have done

In 2019, I got involved with the Kubernetes community through the Python Client. Since then, I have been involved in multiple areas of the project.

Right now, I am serving as a chair for SIG Contributor Experience, where I aim to bridge the needs of our large and varied contributor base with programs that will improve their experience in contributing to Kubernetes. I maintain the Kubernetes GitHub organizations as a GitHub Admin.

I have served the Kubernetes Releases since 2019, with more than nine releases to which I have actively contributed. I was elected to the Kubernetes Code of Conduct Committee, shipped a feature improving configurations of authorizers, maintained the Kubernetes Python client with bug triage, features and release, and co-led multiple Kubernetes New Contributor Workshops in the APAC region, helping new contributors in bootstrapping their journey into the ecosystem.

In the groups I was part of, I made the meetings/processes more sustainable for geographically diverse contributors. One of the examples of such initiatives is asynchronous updates instead of meetings. Over time, I have mentored several contributors to grow up the ladder. Outside of Kubernetes, I am involved with nurturing local community groups and have been instrumental in organizing conferences like PyCon India.

In the past two years, I have served on the Kubernetes Steering Committee, where I actively led initiatives like [introducing Subproject Leads][subproject-leads], [simplifying the Annual Report process][simplify-annual-reports], and enabling the [process for leads to endorse people for travel grants][travel-grants].

## What I'll do

I have seen first-hand the challenges faced by sections of the contributor community in the past 5.5 years that I have been contributing. My active involvement in multiple aspects of the Kubernetes project equips me to form informed opinions on critical areas. Working on those issues in my current term while on the Kubernetes Steering Committee has been an honour. I want to continue working on the rest of those.

- Ensure the practices and processes of the community are sustainable in the long term
- Continue and impart thoughts from my own experience to the community efforts to help part-time contributors working on their own time to contribute to the project sustainably
- Reducing the geographical and linguistic disadvantage of contributors
- Uphold the [values] of the community while dealing with conflicts

## Resources About Me

- About me: [https://nabarun.dev](https://nabarun.dev)
- All Conference Talks: [https://nabarun.dev/speaking/](https://nabarun.dev/speaking/)
- Twitter: [https://twitter.com/theonlynabarun](https://twitter.com/theonlynabarun)

[subproject-leads]: https://github.com/kubernetes/community/pull/7454
[simplify-annual-reports]: https://github.com/kubernetes/community/pull/7717/commits/661d8d820eada8543b7a118c90cb01acffc5b0bf
[travel-grants]: https://groups.google.com/a/kubernetes.io/g/steering/c/sb3NSD-JzNY
[values]: https://github.com/kubernetes/community/blob/master/values.md
