This page outlines the roles involved with leading contributor events, specifically Kubernetes Contributor Summits. The staff of the event team changes with each event. Events are a subproject of [SIG-Contributor-Experience](https://github.com/kubernetes/community/blob/master/sig-contributor-experience/charter.md).

## Core Events Team roles
Inspired by the [Release Team]

The Event Lead(s) is responsible for determining which core roles need to be filled at the start
of planning for each event. After initial core team meetings, each lead will determine
how to best staff for that function and fill in other roles. Each role will ideally have a shadow for succession planning. Those who have been a part of a previous event get first dibs on lead roles to maintain consistency.

CNCF will provide an events manager dedicated to each summit that will help us put
the logistical and operational pieces together.

| Role                                        | Handbook                | Notes                                               |
|---------------------------------------------|-------------------------|-----------------------------------------------------|
| Events Lead/Chair                           | [Event Lead Handbook]                    | _May have more than one._ The Event Lead is responsible for acting as a chair for the event, carrying out the strategic vision, and being the glue needed to execute on the event. |
| Project Manager                             | [Project Manager Handbook]                    | The Project Manager is responsible for managing the cross events tasks/issues, carrying out the strategic vision, and being the glue needed to execute on the event. |
| Registration Lead                           | [Registration Handbook] | The Registration lead role is charged with handling all aspects of attendee registration workflow; including before the event and potentially day-of.  |
| Comms Lead                              | [Comms Handbook]                    | The Comms lead is responsible for ensuring the contributor community is informed about contributor summit activities. This includes sending emails, social media, slack messages, & coordinating with the [SIG-ContribEx Comms team](https://github.com/kubernetes/community/tree/master/communication/contributor-comms) when needed. |
| CNCF Events Manager                         | CNCF                    | CNCF will staff this. The CNCF representative is responsible for coordinating various aspects of the event with the contributor-led summit staff team, including space and budget planning. |
| Content Subteam                        | [Content Subteam Handbook]                    | The content subteam is responsible for coordinating the CFP and summit activities such as unconference sessions, SIG and WG meetings, and the documentation sprint. |
| Operations Lead | [Operations Handbook]  | The Operations lead is responsible for day-of event management, supervision of event space, schedule adherence, and delegation/management of room staff. |
| Awards                             | [Awards Handbook]                        |  The Awards role only needs to be filled once per year. Awards have traditionally been held at the North American Kubernetes Contributor Summit.                                                   |
| Meet & Greet | TODO                    | Traditionally, the Kubernetes contributor community has held a Meet & Greet during KubeCon to meet prospective contributors.                                                    |  
| Accessibility, Inclusiveness, and Diversity | [Accessibility, Inclusiveness, and Diversity at Events Handbook]                    | Accessibility, inclusiveness, and diversity are responsibilities of all summit staff team members. Should additional accountability be needed in this area, the summit leads may choose to assign someone to this role.   


## Handbooks:
### Lead/Chair
[Event Lead Handbook]

### Project Manager
[Project Manager Handbook]

### Accessibility, Inclusiveness, and Diversity
Reach out to underrepresented local groups to advertise contributor summit - examples: GoBridge, Women Who Code  
Advertise to past and current diversity scholarship winners  
Code of Conduct process/reporting and training for event staff  
Confirming that shirt sizes are true to fit, measurements are posted with the registration  
Making sure that food options are considered for folks with special accommodations with CNCF  
Advertise childcare (get information from CNCF)  
Advertise quiet room (get information from CNCF)  

### Content Subteam
The [Content Subteam Handbook] includes detailed handbooks for Content Coordinator, and other roles.

### Comms
[Comms Handbook]

### Registration
[registration handbook]

### Day-Of Operations
[Operations Handbook]

### Awards
[Awards Handbook]

### Accessibility, Inclusiveness, and Diversity
[Accessibility, Inclusiveness, and Diversity at Events Handbook]

# Out of scope

We don't coordinate meetups. CNCF leads these efforts and their information can be found [here].

[Release Team]: https://github.com/kubernetes/sig-release/tree/master/release-team
[registration handbook]: ./registration/README.md
[best-practices.md]: ./best-practices.md
[here]: https://github.com/cncf/meetups
[Event Lead Handbook]: ./events-lead.md
[Comms Handbook]: ./comms/README.md
[Content Subteam Handbook]: ./content/README.md
[Project Manager Handbook]: ./projectmanagement/README.md
[Operations Handbook]: ./operations/README.md
[Awards Handbook]: ../awards/playbook.md
[Accessibility, Inclusiveness, and Diversity at Events Handbook]: ./diversity.md