# Events Lead Handbook

The Event Lead is responsible for acting as a chair for the event, carrying out
the strategic vision, and being the glue needed to execute on the event.

- [Overview](#overview)
- [Skills and Qualifications](#skills-and-qualifications)
- [Activities](#activities)
- [Scheduling and Communication Property Access](#scheduling-and-communication-property-access)

## Overview

The Event Lead(s) is responsible for determining which core roles need to be
filled at the start of planning for each event. After initial core team meetings,
each respective lead will determine how to best staff for that function and fill
in other roles. Each role will ideally have at least one, preferably two shadows
for succession planning. Those who have been a part of a previous event should
be first in line to fill the lead roles to maintain continuity.

Time Commitment:
- 6-8 hours per week during initial planning
- 1-3 hours per week after content is posted and registration is live
- 6-8 hours in the last phase leading up to the event

## Skills and Qualifications

The Event Lead must have led at least one role during a previous Contributor
Summit. The shadow is signing up to commit to lead a future event within the
next 12 months.

- Demonstrate empathy
- Ability to work in both a high level capacity with regard to event planning as
  well as being detailed oriented when reviewing specific roles.
- Be comfortable with delegation, team building, gap analysis, and dealing with
  conflict
- Have good communication skills
- Be able to be impartial and objective

## Activities

- Ensure the overall event is a great experience for all contributors
- Recruit a core team (see [best-practices.md]) and help recruit other volunteers
  as necessary
- Ensure that all members of the event team (plus shadows) are added to the correct [groups](https://github.com/kubernetes/k8s.io)
- Create an event strategy with the Content Lead(s) and consider having a social
  event (decide if social needs it's own lead)
- Provide venue ideas and suggestions to CNCF; do a walk through if possible
- Organize and lead weekly update meetings
- Direct liaison with CNCF Event Manager
- Create day of operations event brief for all staff members
- Create welcome slides and either MC or assign someone to MC day of event
  sessions
- Event wrap up: blog post, summary emails to steering committee and k-dev, lead
  retro, create survey


### Scheduling and Communication Property Access

**Meetings**

As the lead it is your responsibility to find and schedule the recurring
meetings for your event. When a date and time have been selected reach out to
the [SIG Contributor Experience leads] to request a Zoom meeting put the event on
the [SIG Contributor Experience calendar]. They will provide you with the host
key for the moderation and recording of the meeting.

**Communications**

Along with the [events marketing team], you should request access to the
contributors@kubernetes.io email address from the [SIG Contributor Experience
leads]. Communications should be handled by marketing team; however as a lead
you will need access in the event the marketing team cannot send a message.

The other email property you should seek access to is community@kubernetes.io.
This serves as the support line for attendees and the general public point of
contact. Open a PR against [groups.yaml] in the [k8s.io repo] adding yourself,
your shadows, and the [registration team]. Ask one of the [SIG Contributor
Experience leads] to sign off on the PR.


[best-practices.md]: ./best-practices.md
[SIG Contributor Experience leads]: /sig-contributor-experience/README.md#leadership
[SIG Contributor Experience calendar]: https://calendar.google.com/calendar/embed?src=c8bafef04s12ra0gkqql6fchjc%40group.calendar.google.com&ctz=America%2FDetroit
[events marketing team]: ./marketing/README.md
[groups.yaml]: https://git.k8s.io/k8s.io/groups/groups.yaml
[k8s.io repo]: https://git.k8s.io/k8s.io
[registration team]: ./registration/README.md