# Contributing to SIG Scalability

Welcome to contributing guide to SIG Scalability.
We are thrilled to have you here.

## Before you begin

Before you begin, please check out [Kubernetes Contributor Guide](https://git.k8s.io/community/contributors/guide) and [Contributor Cheat Sheet](https://github.com/kubernetes/community/blob/master/contributors/guide/contributor-cheatsheet)

## What SIG Scalability works on

SIG Scalability has a few areas that you can contribute to.
You can find list of [subprojects](https://github.com/kubernetes/community/blob/master/sig-scalability/README.md#details-about-sig-scalability-sub-projects) that we are working on.
Some of subprojects like `Kubernetes scalability bottlenecks detection` require both very deep and wide understanding of Kubernetes before making reasonable contributions.
We recommend starting with contributions to `Scalability Test Frameworks` and `Scalability and Performance tests`.
The easiest way to start contributing is to check issues with `good-first-issue` label [here][good-first-issues] or find issue with `help-wanted` label [here][help-wanted].
Also, please check out documentation of [Clusterloader2], our [SLOs] and current [Scalability limits].
If you are unsure in what area you want or should contribute, reach out to one of our [leads] on Slack.

## Get in touch with SIG Scalability members

- Join our Slack channel: [#sig-scalability](https://kubernetes.slack.com/messages/sig-scalability)
- Reach out to our [leads] directly on Slack
- Mailing list: [mailing list](https://groups.google.com/forum/#!forum/kubernetes-sig-scale)
- Join our regular SIG Scalability meeting [calendar](https://calendar.google.com/calendar/embed?src=90g85fajsmubf5vp02uhpbvcq8%40group.calendar.google.com) for upcoming meeting dates.


[leads]: https://github.com/kubernetes/community/blob/master/sig-scalability/README.md#leadership
[good-first-issues]: https://github.com/kubernetes/perf-tests/issues?q=is%3Aissue+is%3Aopen+label%3A%22good+first+issue%22
[help-wanted]: https://github.com/kubernetes/perf-tests/issues?q=is%3Aissue+is%3Aopen+label%3A%22help+wanted%22
[Clusterloader2]: https://github.com/kubernetes/perf-tests/blob/master/clusterloader2/README.md
[SLOs]: https://github.com/kubernetes/community/tree/master/sig-scalability/slos
[Scalability limits]: https://github.com/kubernetes/community/tree/master/sig-scalability/configs-and-limits
