<!---
This is an autogenerated file!

Please do not edit this file directly, but instead make changes to the
sigs.yaml file in the project root.

To understand how this file is generated, see https://git.k8s.io/community/generator/README.md
--->
# Storage Special Interest Group

SIG Storage is responsible for ensuring that different types of file and block storage (whether ephemeral or persistent, local or remote) are available wherever a container is scheduled (including provisioning/creating, attaching, mounting, unmounting, detaching, and deleting of volumes), storage capacity management (container ephemeral storage usage, volume resizing, etc.), influencing scheduling of containers based on storage (data gravity, availability, etc.), and generic operations on storage (snapshoting, etc.).

The [charter](charter.md) defines the scope and governance of the Storage Special Interest Group.

## Meetings
*Joining the [mailing list](https://groups.google.com/forum/#!forum/kubernetes-sig-storage) for the group will typically add invites for the following meetings to your calendar.*
* Regular CSI Implementation Meeting: [Mondays at 10:00 PT (Pacific Time)](https://zoom.us/j/614261834) (weekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=10%3A00&tz=PT%20%28Pacific%20Time%29).
  * [Meeting notes and Agenda](https://docs.google.com/document/d/1_hvq3nleqQEYatH9V_Gfep39jMzaFJRSN2ioA0PFq-Q/edit#).
* Regular SIG Issue Triage Meeting: [Wednesdays at 10:00 PT (Pacific Time)](https://zoom.us/j/614261834) (weekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=10%3A00&tz=PT%20%28Pacific%20Time%29).
  * [Meeting notes and Agenda](https://docs.google.com/document/d/1n-dXXvCbHsPfO1yrKwT1qoC80KhsxHYKbRdChdzqeXY/edit)).
* Regular SIG Meeting: [Thursdays at 9:00 PT (Pacific Time)](https://zoom.us/j/614261834) (biweekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=9%3A00&tz=PT%20%28Pacific%20Time%29).
  * [Meeting notes and Agenda](https://docs.google.com/document/d/1-8KEG8AjAgKznS9NFm3qWqkGyCHmvU6HVl0sk5hwoAE/edit?usp=sharing).
  * [Meeting recordings](https://www.youtube.com/watch?v=Eh7Qa7KOL8o&list=PL69nYSiGNLP02-BMqJdfFgGxYQ4Nb-2Qq).

## Leadership

### Chairs
The Chairs of the SIG run operations and processes governing the SIG.

* Saad Ali (**[@saad-ali](https://github.com/saad-ali)**), Google
* Xing Yang (**[@xing-yang](https://github.com/xing-yang)**), VMware

### Technical Leads
The Technical Leads of the SIG establish new subprojects, decommission existing
subprojects, and resolve cross-subproject technical issues and decisions.

* Jan Šafránek (**[@jsafrane](https://github.com/jsafrane)**), Red Hat
* Michelle Au (**[@msau42](https://github.com/msau42)**), Google

## Emeritus Leads

* Bradley Childs (**[@childsb](https://github.com/childsb)**)

## Contact
- Slack: [#sig-storage](https://kubernetes.slack.com/messages/sig-storage)
- [Mailing list](https://groups.google.com/forum/#!forum/kubernetes-sig-storage)
- [Open Community Issues/PRs](https://github.com/kubernetes/community/labels/sig%2Fstorage)
- GitHub Teams:
    - [@kubernetes/sig-storage-api-reviews](https://github.com/orgs/kubernetes/teams/sig-storage-api-reviews) - API Changes and Reviews
    - [@kubernetes/sig-storage-bugs](https://github.com/orgs/kubernetes/teams/sig-storage-bugs) - Bug Triage and Troubleshooting
    - [@kubernetes/sig-storage-feature-requests](https://github.com/orgs/kubernetes/teams/sig-storage-feature-requests) - Feature Requests
    - [@kubernetes/sig-storage-misc](https://github.com/orgs/kubernetes/teams/sig-storage-misc) - General Discussion
    - [@kubernetes/sig-storage-pr-reviews](https://github.com/orgs/kubernetes/teams/sig-storage-pr-reviews) - PR Reviews
    - [@kubernetes/sig-storage-proposals](https://github.com/orgs/kubernetes/teams/sig-storage-proposals) - Design Proposals
    - [@kubernetes/sig-storage-test-failures](https://github.com/orgs/kubernetes/teams/sig-storage-test-failures) - Test Failures and Triage
- Steering Committee Liaison: Paco Xu 徐俊杰 (**[@pacoxu](https://github.com/pacoxu)**)

## Working Groups

The following [working groups][working-group-definition] are sponsored by sig-storage:
* [WG Data Protection](/wg-data-protection)
* [WG Policy](/wg-policy)
* [WG Serving](/wg-serving)
* [WG Structured Logging](/wg-structured-logging)


## Subprojects

The following [subprojects][subproject-definition] are owned by sig-storage:
### external-snapshot-metadata
- **Owners:**
  - [kubernetes-csi/external-snapshot-metadata](https://github.com/kubernetes-csi/external-snapshot-metadata/blob/main/OWNERS)
### external-storage
- **Owners:**
  - [kubernetes-sigs/sig-storage-lib-external-provisioner](https://github.com/kubernetes-sigs/sig-storage-lib-external-provisioner/blob/master/OWNERS)
  - [kubernetes-sigs/sig-storage-local-static-provisioner](https://github.com/kubernetes-sigs/sig-storage-local-static-provisioner/blob/master/OWNERS)
### git-sync
- **Owners:**
  - [kubernetes/git-sync](https://github.com/kubernetes/git-sync/blob/master/OWNERS)
### gluster-provisioner
- **Owners:**
  - [kubernetes-sigs/gluster-block-external-provisioner](https://github.com/kubernetes-sigs/gluster-block-external-provisioner/blob/master/OWNERS)
  - [kubernetes-sigs/gluster-file-external-provisioner](https://github.com/kubernetes-sigs/gluster-file-external-provisioner/blob/master/OWNERS)
### kubernetes-cosi
- **Owners:**
  - [kubernetes-sigs/container-object-storage-interface](https://github.com/kubernetes-sigs/container-object-storage-interface/blob/main/OWNERS)
  - [kubernetes-sigs/cosi-driver-sample](https://github.com/kubernetes-sigs/cosi-driver-sample/blob/master/OWNERS)
- **Contact:**
  - Slack: [#sig-storage-cosi](https://kubernetes.slack.com/messages/sig-storage-cosi)
### kubernetes-csi
- **Owners:**
  - [kubernetes-csi/cluster-driver-registrar](https://github.com/kubernetes-csi/cluster-driver-registrar/blob/master/OWNERS)
  - [kubernetes-csi/csi-driver-host-path](https://github.com/kubernetes-csi/csi-driver-host-path/blob/master/OWNERS)
  - [kubernetes-csi/csi-driver-iscsi](https://github.com/kubernetes-csi/csi-driver-iscsi/blob/master/OWNERS)
  - [kubernetes-csi/csi-driver-nfs](https://github.com/kubernetes-csi/csi-driver-nfs/blob/master/OWNERS)
  - [kubernetes-csi/csi-driver-nvmf](https://github.com/kubernetes-csi/csi-driver-nvmf/blob/master/OWNERS)
  - [kubernetes-csi/csi-driver-smb](https://github.com/kubernetes-csi/csi-driver-smb/blob/master/OWNERS)
  - [kubernetes-csi/csi-lib-iscsi](https://github.com/kubernetes-csi/csi-lib-iscsi/blob/master/OWNERS)
  - [kubernetes-csi/csi-lib-utils](https://github.com/kubernetes-csi/csi-lib-utils/blob/master/OWNERS)
  - [kubernetes-csi/csi-proxy](https://github.com/kubernetes-csi/csi-proxy/blob/master/OWNERS)
  - [kubernetes-csi/csi-release-tools](https://github.com/kubernetes-csi/csi-release-tools/blob/master/OWNERS)
  - [kubernetes-csi/csi-test](https://github.com/kubernetes-csi/csi-test/blob/master/OWNERS)
  - [kubernetes-csi/docs](https://github.com/kubernetes-csi/docs/blob/master/OWNERS)
  - [kubernetes-csi/driver-registrar](https://github.com/kubernetes-csi/driver-registrar/blob/master/OWNERS)
  - [kubernetes-csi/external-attacher](https://github.com/kubernetes-csi/external-attacher/blob/master/OWNERS)
  - [kubernetes-csi/external-health-monitor](https://github.com/kubernetes-csi/external-health-monitor/blob/master/OWNERS)
  - [kubernetes-csi/external-provisioner](https://github.com/kubernetes-csi/external-provisioner/blob/master/OWNERS)
  - [kubernetes-csi/external-resizer](https://github.com/kubernetes-csi/external-resizer/blob/master/OWNERS)
  - [kubernetes-csi/external-snapshotter](https://github.com/kubernetes-csi/external-snapshotter/blob/master/OWNERS)
  - [kubernetes-csi/kubernetes-csi.github.io](https://github.com/kubernetes-csi/kubernetes-csi.github.io/blob/master/OWNERS)
  - [kubernetes-csi/livenessprobe](https://github.com/kubernetes-csi/livenessprobe/blob/master/OWNERS)
  - [kubernetes-csi/node-driver-registrar](https://github.com/kubernetes-csi/node-driver-registrar/blob/master/OWNERS)
  - [kubernetes/csi-translation-lib](https://github.com/kubernetes/csi-translation-lib/blob/master/OWNERS)
  - [kubernetes/kubernetes/staging/src/k8s.io/csi-translation-lib](https://github.com/kubernetes/kubernetes/blob/master/staging/src/k8s.io/csi-translation-lib/OWNERS)
### mount-utils
- **Owners:**
  - [kubernetes/kubernetes/staging/src/k8s.io/mount-utils](https://github.com/kubernetes/kubernetes/blob/master/staging/src/k8s.io/mount-utils/OWNERS)
### nfs-provisioner
- **Owners:**
  - [kubernetes-sigs/nfs-ganesha-server-and-external-provisioner](https://github.com/kubernetes-sigs/nfs-ganesha-server-and-external-provisioner/blob/master/OWNERS)
  - [kubernetes-sigs/nfs-subdir-external-provisioner](https://github.com/kubernetes-sigs/nfs-subdir-external-provisioner/blob/master/OWNERS)
### volume-populators
- **Owners:**
  - [kubernetes-csi/lib-volume-populator](https://github.com/kubernetes-csi/lib-volume-populator/blob/master/OWNERS)
  - [kubernetes-csi/volume-data-source-validator](https://github.com/kubernetes-csi/volume-data-source-validator/blob/master/OWNERS)
### volumes
- **Owners:**
  - [kubernetes/kubernetes/pkg/volume](https://github.com/kubernetes/kubernetes/blob/master/pkg/volume/OWNERS)

[subproject-definition]: https://github.com/kubernetes/community/blob/master/governance.md#subprojects
[working-group-definition]: https://github.com/kubernetes/community/blob/master/governance.md#working-groups
<!-- BEGIN CUSTOM CONTENT -->

## Details
The Kubernetes Storage Special-Interest-Group (SIG) is a working group within the Kubernetes contributor community interested in storage and volume plugins.

### Meeting
We hold a public meeting every two weeks, on Thursdays at 9 AM (PT).
* Agenda and any notes from each meeting are captured in [this document](https://docs.google.com/document/d/1-8KEG8AjAgKznS9NFm3qWqkGyCHmvU6HVl0sk5hwoAE/edit?usp=sharing).
* Copy the meeting invite from the [Shared SIG Storage Calendar](https://calendar.google.com/calendar/embed?src=vvvo48r6cprccii1lsava6p2uc%40group.calendar.google.com).
* Recordings of past meetings: https://www.youtube.com/playlist?list=PLb1_clREIGYVaqvKaUsVyXxjfcSQDBnmB

### Contributing
Interested in contributing to storage features in Kubernetes? [Please read our guide for new contributors](/sig-storage/CONTRIBUTING.md)

### Links
* Public Slack Channel: https://kubernetes.slack.com/messages/sig-storage/details/
  * Get invite to join here: http://slack.k8s.io/
  * Our channel is `sig-storage`
* Github Issues
  * [link](https://github.com/kubernetes/kubernetes/issues?q=is%3Aopen+is%3Aissue+label%3Asig%2Fstorage)
* Documentation for currently supported volume plugins: https://kubernetes.io/docs/concepts/storage/volumes/
* Code
  * [Volume plugins](https://github.com/kubernetes/kubernetes/tree/master/pkg/volume)
  * [Volume controllers](https://github.com/kubernetes/kubernetes/tree/master/pkg/controller/volume/)
  * [Kubelet volume manager](https://github.com/kubernetes/kubernetes/blob/master/pkg/kubelet/volumemanager/)

<!-- END CUSTOM CONTENT -->
