<!---
This is an autogenerated file!

Please do not edit this file directly, but instead make changes to the
sigs.yaml file in the project root.

To understand how this file is generated, see https://git.k8s.io/community/generator/README.md
--->
# Windows Special Interest Group

Focuses on supporting Windows Node and scheduling Windows containers on Kubernetes.

The [charter](charter.md) defines the scope and governance of the Windows Special Interest Group.

## Meetings
*Joining the [mailing list](https://groups.google.com/forum/#!forum/kubernetes-sig-windows) for the group will typically add invites for the following meetings to your calendar.*
* Backlog Refinement  / Bug Triage Meeting: [Thursdays at 12:30 Eastern Time (ET)](https://zoom.us/j/94389601840?pwd=MCs2SEJQWG0zUWpBS3Nod0ZNMmVXQT09) (biweekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=12%3A30&tz=Eastern%20Time%20%28ET%29).
* Regular SIG Meeting: [Tuesdays at 12:30 Eastern Time (ET)](https://zoom.us/j/96892680257?pwd=TVNyMzB4VVMwRGZnUkgzT1dnb2szZz09) (weekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=12%3A30&tz=Eastern%20Time%20%28ET%29).
  * [Meeting notes and Agenda](https://docs.google.com/document/d/1aCcqSDBuXQ2gTbBg6QuGvLxCmzlSrAbTfflCTmo-960/).
  * [Meeting recordings](https://www.youtube.com/playlist?list=PL69nYSiGNLP2OH9InCcNkWNu2bl-gmIU4).
* Weekly CI Meeting: [Tuesdays at 12:15 Eastern Time (ET)](https://zoom.us/j/96892680257?pwd=TVNyMzB4VVMwRGZnUkgzT1dnb2szZz09) (weekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=12%3A15&tz=Eastern%20Time%20%28ET%29).
  * [Meeting notes and Agenda](https://docs.google.com/document/d/1j2XEKXNyGaSO0XZNkSQUliaT48ZQl6StLhrsVurJoco/edit#).

## Leadership

### Chairs
The Chairs of the SIG run operations and processes governing the SIG.

* Aravindh Puthiyaparambil (**[@aravindhp](https://github.com/aravindhp)**), Softdrive Technologies Group Inc.
* Mark Rossetti (**[@marosset](https://github.com/marosset)**), Microsoft

### Technical Leads
The Technical Leads of the SIG establish new subprojects, decommission existing
subprojects, and resolve cross-subproject technical issues and decisions.

* Claudiu Belu (**[@claudiubelu](https://github.com/claudiubelu)**), Cloudbase Solutions
* James Sturtevant (**[@jsturtevant](https://github.com/jsturtevant)**), Microsoft
* Amim Knabben (**[@knabben](https://github.com/knabben)**), VMware
* Mark Rossetti (**[@marosset](https://github.com/marosset)**), Microsoft

## Emeritus Leads

* Patrick Lang (**[@PatrickLang](https://github.com/PatrickLang)**)
* Ben Moss (**[@benmoss](https://github.com/benmoss)**)
* Deep Debroy (**[@ddebroy](https://github.com/ddebroy)**)
* Jay Vyas (**[@jayunit100](https://github.com/jayunit100)**)
* Michael Michael (**[@michmike](https://github.com/michmike)**)

## Contact
- Slack: [#sig-windows](https://kubernetes.slack.com/messages/sig-windows)
- [Mailing list](https://groups.google.com/forum/#!forum/kubernetes-sig-windows)
- [Open Community Issues/PRs](https://github.com/kubernetes/community/labels/sig%2Fwindows)
- GitHub Teams:
    - [@kubernetes/sig-windows-bugs](https://github.com/orgs/kubernetes/teams/sig-windows-bugs) - Bug Triage and Troubleshooting
    - [@kubernetes/sig-windows-feature-requests](https://github.com/orgs/kubernetes/teams/sig-windows-feature-requests) - Feature Requests
    - [@kubernetes/sig-windows-misc](https://github.com/orgs/kubernetes/teams/sig-windows-misc) - General Discussion
- Steering Committee Liaison: Benjamin Elder (**[@BenTheElder](https://github.com/BenTheElder)**)

## Subprojects

The following [subprojects][subproject-definition] are owned by sig-windows:
### windows-gmsa
- **Owners:**
  - [kubernetes-sigs/windows-gmsa](https://github.com/kubernetes-sigs/windows-gmsa/blob/master/OWNERS)
### windows-operational-readiness
- **Owners:**
  - [kubernetes-sigs/windows-operational-readiness](https://github.com/kubernetes-sigs/windows-operational-readiness/blob/main/OWNERS)
### windows-samples
- **Owners:**
  - [kubernetes-sigs/sig-windows-samples](https://github.com/kubernetes-sigs/sig-windows-samples/blob/master/OWNERS)
### windows-service-proxy
- **Owners:**
  - [kubernetes-sigs/windows-service-proxy](https://github.com/kubernetes-sigs/windows-service-proxy/blob/main/OWNERS)
### windows-testing
- **Owners:**
  - [kubernetes-sigs/windows-testing](https://github.com/kubernetes-sigs/windows-testing/blob/master/OWNERS)
### windows-tools
- **Owners:**
  - [kubernetes-sigs/sig-windows-dev-tools](https://github.com/kubernetes-sigs/sig-windows-dev-tools/blob/master/OWNERS)
  - [kubernetes-sigs/sig-windows-tools](https://github.com/kubernetes-sigs/sig-windows-tools/blob/master/OWNERS)

[subproject-definition]: https://github.com/kubernetes/community/blob/master/governance.md#subprojects
[working-group-definition]: https://github.com/kubernetes/community/blob/master/governance.md#working-groups
<!-- BEGIN CUSTOM CONTENT -->
## Getting Started

If you're looking for information on building and running containers on Windows, you can get started at http://aka.ms/windowscontainers.

Kubernetes 1.14 includes stable support for Windows Server containers and has up-to-date [documentation](https://kubernetes.io/docs/setup/windows/intro-windows-in-kubernetes/) .

Additional information and guides are available in the [KEPs for SIG-Windows](https://github.com/kubernetes/enhancements/tree/master/keps/sig-windows)

## Discuss
Join us on [Slack](https://kubernetes.slack.com/messages/sig-windows) or the [Kubernetes Community Forums](https://discuss.kubernetes.io/c/general-discussions/windows) to chat about Windows containers on Kubernetes.

## Contributing

To get yourself familiar with contributing, please read the [Kubernetes Contributor Guide](../contributors/guide/README.md) and the [SIG-Windows Contributor guide](./CONTRIBUTING.md)

We're currently using a [GitHub project](https://github.com/orgs/kubernetes/projects/8) in the weekly SIG-Windows meeting to track items with active progress for each release. That's a great place to start to get the most up-to-date status, then feel free to join us on the Slack channel anytime with questions.

As always, you can also find the active list of open issues and proposals [Open Code Issues and PRs for SIG/Windows](https://github.com/kubernetes/kubernetes/labels/sig%2Fwindows) on GitHub.

## Meeting Recordings

Past meetings are in the [Recorded Meetings Playlist on Youtube](https://www.youtube.com/playlist?list=PL69nYSiGNLP2OH9InCcNkWNu2bl-gmIU4&jct=LZ9EIvD4DGrhr2h4r0ItaBmco7gTgw)

<!-- END CUSTOM CONTENT -->
